I suggest you ...

C# 6.0 Support

Full roslyn release support

128 votes
Vote
Sign in
(thinking…)
Sign in with: facebook google
Signed in as (Sign out)
You have left! (?) (thinking…)
Ibrahim shared this idea  ·   ·  Flag idea as inappropriate…  ·  Admin →

9 comments

Sign in
(thinking…)
Sign in with: facebook google
Signed in as (Sign out)
Submitting...
  • Anonymous commented  ·   ·  Flag as inappropriate

    NET Core 2.2 supports only .NET Core and Standard packages (obviously) so that is not always appropriate. But thanks anyway and I hope that this "at this moment" will not be a long lasting issue. ;)

    Keep up the good work, this is still be best online C# compiler.

  • Anonymous commented  ·   ·  Flag as inappropriate

    .NET Compiler 4.7.2 is currently the only option to load Framework-dependent NuGet packages. And it still does not support even C# 6.0 in 2019... :(

  • Harsha commented  ·   ·  Flag as inappropriate

    Why it doesn't support Task Parallel concept may I know the reason?

  • Lucian Wischik commented  ·   ·  Flag as inappropriate

    It looks like Console apps already support C#6 features (?., =>, nameof, autoprops) even though the compiler's name is "Roslyn 1.0.0-rc1"

    It looks like Script projects don't support the C#6 features.

Feedback and Knowledge Base